org.apache.ignite.spi.discovery.tcp

## Interface TcpClientDiscoverySpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

All Known Implementing Classes:
  TcpClientDiscoverySpi

    public interface TcpClientDiscoverySpiMBean
    extends IgniteSpiManagementMBean

Management bean for `TcpClientDiscoverySpi`.

### Method Summary

Methods
`long` `getAckTimeout()` Gets message acknowledgement timeout.
`long` `getAvgMessageProcessingTime()` Gets avg message processing time.
`long` `getDisconnectCheckInterval()` Gets disconnect check interval.
`long` `getHeartbeatFrequency()` Gets delay between heartbeat messages sent by coordinator.
`String` `getIpFinderFormatted()` Gets `TcpDiscoveryIpFinder` (string representation).
`long` `getMaxMessageProcessingTime()` Gets max message processing time.
`int` `getMessageWorkerQueueSize()` Gets message worker queue current size.
`long` `getNetworkTimeout()` Gets network timeout.
`long` `getNodesFailed()` Gets failed nodes count.
`long` `getNodesJoined()` Gets joined nodes count.
`long` `getNodesLeft()` Gets left nodes count.
`Map<String,Integer>` `getProcessedMessages()` Gets processed messages counts (grouped by type).
`Map<String,Integer>` `getReceivedMessages()` Gets received messages counts (grouped by type).
`long` `getSocketTimeout()` Gets socket timeout.
`int` `getThreadPriority()` Gets thread priority.
`int` `getTotalProcessedMessages()` Gets total processed messages count.
`int` `getTotalReceivedMessages()` Gets total received messages count.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getDisconnectCheckInterval

    @MXBeanDescription(value="Disconnect check interval.")
    long getDisconnectCheckInterval()

Gets disconnect check interval.

Returns:
  Disconnect check interval.

#### getSocketTimeout

    @MXBeanDescription(value="Socket timeout.")
    long getSocketTimeout()

Gets socket timeout.

Returns:
  Socket timeout.

#### getAckTimeout

    @MXBeanDescription(value="Message acknowledgement timeout.")
    long getAckTimeout()

Gets message acknowledgement timeout.

Returns:
  Message acknowledgement timeout.

#### getNetworkTimeout

    @MXBeanDescription(value="Network timeout.")
    long getNetworkTimeout()

Gets network timeout.

Returns:
  Network timeout.

#### getThreadPriority

    @MXBeanDescription(value="Threads priority.")
    int getThreadPriority()

Gets thread priority. All threads within SPI will be started with it.

Returns:
  Thread priority.

#### getHeartbeatFrequency

    @MXBeanDescription(value="Heartbeat frequency.")
    long getHeartbeatFrequency()

Gets delay between heartbeat messages sent by coordinator.

Returns:
  Time period in milliseconds.

#### getIpFinderFormatted

    @MXBeanDescription(value="IP Finder.")
    String getIpFinderFormatted()

Gets `TcpDiscoveryIpFinder` (string representation).

Returns:
  IPFinder (string representation).

#### getMessageWorkerQueueSize

    @MXBeanDescription(value="Message worker queue current size.")
    int getMessageWorkerQueueSize()

Gets message worker queue current size.

Returns:
  Message worker queue current size.

#### getNodesJoined

    @MXBeanDescription(value="Nodes joined count.")
    long getNodesJoined()

Gets joined nodes count.

Returns:
  Nodes joined count.

#### getNodesLeft

    @MXBeanDescription(value="Nodes left count.")
    long getNodesLeft()

Gets left nodes count.

Returns:
  Left nodes count.

#### getNodesFailed

    @MXBeanDescription(value="Nodes failed count.")
    long getNodesFailed()

Gets failed nodes count.

Returns:
  Failed nodes count.

#### getAvgMessageProcessingTime

    @MXBeanDescription(value="Avg message processing time.")
    long getAvgMessageProcessingTime()

Gets avg message processing time.

Returns:
  Avg message processing time.

#### getMaxMessageProcessingTime

    @MXBeanDescription(value="Max message processing time.")
    long getMaxMessageProcessingTime()

Gets max message processing time.

Returns:
  Max message processing time.

#### getTotalReceivedMessages

    @MXBeanDescription(value="Total received messages count.")
    int getTotalReceivedMessages()

Gets total received messages count.

Returns:
  Total received messages count.

#### getReceivedMessages

    @MXBeanDescription(value="Received messages by type.")
    Map<String,Integer> getReceivedMessages()

Gets received messages counts (grouped by type).

Returns:
  Map containing message types and respective counts.

#### getTotalProcessedMessages

    @MXBeanDescription(value="Total processed messages count.")
    int getTotalProcessedMessages()

Gets total processed messages count.

Returns:
  Total processed messages count.

#### getProcessedMessages

    @MXBeanDescription(value="Received messages by type.")
    Map<String,Integer> getProcessedMessages()

Gets processed messages counts (grouped by type).

Returns:
  Map containing message types and respective counts.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015